#include <bits/stdc++.h>

using namespace std;

map<int , int> bris;
 int n,k,a;
 int br=0;

int brojmapa(map<int , int> kurac){

    for(int i=0; i<n; i++){

        if(kurac[i]>=k)
        br++;

    }
        return br;
}

int main()
{




    cin>>n>>k;

    for(int i=0; i<n; i++){

        cin>>a;
        bris[a]++;

    }
    cout<<brojmapa(bris)<<endl;

    for(int i=-n; i<=n; i++){
        if(bris[i]>=k){
            cout<<i<<" ";

        }
    }

}